Skip to content
On this page

Endpoint

Below is an example of a request and response object for our non SSO service endpoint.

Please note, before making your own test request(s) to our service endpoints you will need to get an auth api key from the development team for the corresponding application environment; these api keys are specific to each consumer and will need to be present in the header of each request under the field name "x-api-key".

Navigate to Data section for a detailed specification of the expected properties.

Request

Dev Environment

POST https://paymentgateway.dev.travcorpservices.com/createPaymentLink

curl --location 'https://paymentgateway.dev.travcorpservices.com/paybylink/createPaymentLink' \
--header 'Content-Type: application/json' \
--header 'x-api-key: yourApiKeyValue' \
--data '{
    "sellingCompanyCode": "SC_CODE",
    "customerDetails": {
        "firstName": "Test",
        "lastName": "Test"
    },
    "billingAddress": {
        "addressLine1": "10 Test st",
        "addressLine2": "Test Building",
        "addressCity": "Sydney",
        "addressPostalCode": "2000",
        "addressCountry": "AU"
    },
    "paymentDetails": {
        "amount": "1000",
        "currency": "AUD"
    },
    "bookingDetails": {
        "bookingReference": "SC_CODE-12345",
        "tripName": "some river cruise",
        "departureDate": "2023-09-25"
    },
    "paymentLinkSettings": {
        "linkType": "singleuse"
    }
}'

Response

{
    "paymentLink": "https://scdomain.pay.dev.travcorpservices.com/link/RandomStr123",   
    "linkValidity": "2023-11-06T01:11:18.799Z",
    "bookingReference": "SC_CODE-12345",
    "amount": "1000.00",
    "currency": "AUD"
}

UAT Environment

POST https://paymentgateway.uat.travcorpservices.com/createPaymentLink

Production Environment

POST https://paymentgateway.travcorpservices.com/createPaymentLink

Mainted By TTC Tech Payments Team